<?php
$i = 1;
$j = 1;
?>
<div class="clear"></div>
<h1 style="margin-top: 15px;">K vašemu nákupu doporučujeme tyto nové publikace:</h1>
<?php
$client = new Zend_Http_Client();
foreach ($this->packages as $value) {
    $imageURL = IMG_URL . 'images/eshop_products/m/' . $value['id'] . '.jpg';
    $client->setUri($imageURL);
    $response = $client->request();
    $headers = $response->getHeaders();
    if ($value['status'] == 'neaktivni') {
        //nezobrazit neaktivni
    } else {
        if ($j == 3) {
            $last = 'last';
            $j = 1;
        } else {
            $last = '';
            $j++;
        }
        ?>
        <div class="product-var1 <?= $last ?>">
            <?php
                if (strlen($value['title']) < 30) {
                    
                } else {
                    $size = '12px';
                }
            ?>
            <a href='/<?= $value['alias'] ?>' class="product-title" style="font-size: <?= $size ?>">
                <?= $value['title'] ?><br/>
            </a>
            <div class="product-imageholder border-style">
                <?= (isset($cart->$value['id'])) ? "<img src='/graphics/kosik.png' class='cart-image' />" : "" ?>
                <?= (isset($cart->$value['id'])) ? "<div class='cart-number glow'>" . $cart->$value['id'] . "</div>" : "" ?>
                <?php if (isset($headers['Content-type']) && stristr($headers['Content-type'], 'image')) { ?>
                    <a href='/<?= $value['alias'] ?>'>
                        <img src="<?= $imageURL ?>" class="product-image" alt='<?= $value['title'] ?>' />
                    </a>
                <?php } else { ?>
                    <a href='/<?= $value['alias'] ?>'>
                        <img src="/images/eshop_products/m/default-1.jpg" class="product-image">
                    </a>
                <?php } ?>                    
            </div>
            <div class='product-info-holder'>
                ID: <?= $value['id'] ?><br/>                
                <?php
                if (!empty($value['producer'])) {
                    echo "Výrobce: " . $value['producer'] . "<br/>";
                }
                if (($this->size == 'velikost') && !empty($value['size'])) {
                    echo (!empty($value['size'])) ? "velikost: " . $value['size'] . "<br/>" : "";
                } else if (!empty($value['size'])) {
                    echo "Objem: " . $value['size'] . " l<br/>";
                }
                ?>
                Cena: <?= $value['price'] ?>,- kč<br/>
                <div class='product-text-holder' style='font-size: <?php
                if (strlen($value['text']) < 20) {
                    echo '13px';
                } else if (strlen($value['text']) < 35) {
                    echo '12px';
                } else {
                    echo '11px';
                }
                ?>'>
        <?= $value['text'] ?><br/>
                </div>
            </div>
        <?php if ($value['status'] == '1') { ?>             
                <form method='post' action='/cart/add/'>
                    <input type='hidden' name='product_id' value='<?= $value['id'] ?>'/>
                    <input type='hidden' name='redirect' value='<?= $_SERVER['REQUEST_URI'] ?>'/>   
                    <input type='text' name='quantity' value='1' style='width: 20px'/>
                    <input class='bg-green border-style shadowout-lite active' style='width: 160px' type='submit' value='Přidat' />
                </form>
            <?php } else { ?>
                <div class='bg-red border-style shadowout-lite center' style='width: 170px; font-weight: bold'>není na skladě</div>
        <?php } ?>
        </div>
        <?php
    }
}
?>